Get the plan adjustments for a customer
curl --request GET \
--url https://api.metronome.com/v1/customers/{customer_id}/plans/{customer_plan_id}/priceAdjustments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.metronome.com/v1/customers/{customer_id}/plans/{customer_plan_id}/priceAdjustments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.metronome.com/v1/customers/{customer_id}/plans/{customer_plan_id}/priceAdjustments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"charge_id": "8b24d3dc-6db5-432d-9416-8439b3fbf242",
"charge_type": "usage",
"start_period": 0,
"prices": [
{
"adjustment_type": "fixed",
"value": -0.05
},
{
"adjustment_type": "quantity",
"value": 2
},
{
"adjustment_type": "override",
"tier": 2,
"value": 4
}
]
},
{
"charge_id": "2714e483-4ff1-48e4-9e25-ac732e8f24f2",
"charge_type": "fixed",
"start_period": 1,
"prices": [
{
"adjustment_type": "percentage",
"value": -5
}
]
}
],
"next_page": "31646362333134302d363735362d346661372d396436362d383"
}Customers
Get the plan adjustments for a customer
Lists a customer plans adjustments. See the price adjustments documentation for details. This is a Plans (deprecated) endpoint. New clients should implement using Contracts.
GET
/
customers
/
{customer_id}
/
plans
/
{customer_plan_id}
/
priceAdjustments
Get the plan adjustments for a customer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
the ID of a customer-plan relationship
Query Parameters
Max number of results that should be returned
Required range:
1 <= x <= 100Cursor that indicates where the next page of results should start.
⌘I